| Home | Libraries | People | FAQ | More

## Struct template modulus

boost::proto::modulus — A metafunction for generating modulus expression types, a grammar element for matching modulus expressions, and a PrimitiveTransform that dispatches to the `proto::pass_through<>` transform.

## Synopsis

    template<typename T, typename U>
    struct modulus :  proto::transform< modulus<T, U> > {
      // types
      typedef proto::expr< proto::tag::modulus, proto::list2< T, U > > type;
      typedef type                                                     proto_base_expr;
      template<typename Expr, typename State, typename Data>
      struct impl :
         proto::pass_through<modulus>::template impl<Expr, State, Data>
      {
      };
    };

## Description